#
# This rpm is based on the git tree from:
# git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# version is date of the younger commit
#

Summary:	Extra linux kernel firmware files
Name:   	kernel-firmware-extra
Version:	20100807
Release:	%manbo_mkrel 1
License:	Proprietary
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-firmware tarball is generated from the git tree mentioned
# above, by simply cloning it and doing:
# tar --exclude-vcs -Jcf kernel-firmware-extra-version.tar.xz linux-firmware
Source: 	kernel-firmware-extra-%{version}.tar.xz
BuildRequires:	kernel-firmware >= 20100804-1mnb2
Conflicts:	kernel-firmware < 20100804-1mnb2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This package contains extra redistributable etc. firmwares for in-kernel
drivers. It is shared for all kernels.

%prep
%setup -q -n linux-firmware

# don't include firmware already in kernel-firmware package
for fir in `rpm -ql kernel-firmware | grep '^/lib/firmware/' | \
            sed 's|^/lib/firmware/||'`; do
	[ -f "$fir" ] || continue
	rm -f "$fir"
done
for dir in `find . -type d | sed -e 's|^\.||' -e 's|^/||'`; do
	rmdir -p --ignore-fail-on-non-empty $dir
done

# remove files provided in iwlwifi-*-ucode* packages
rm -f LICENCE.iwlwifi_firmware
rm -f iwlwifi-{1000-3,{3945,4965,5150}-2,5000-{1,2},6000-4}.ucode

# remove files provided in radeon-rlc-firmware
rm -f LICENCE.radeon_rlc
rm -f radeon/{CEDAR,CYPRESS,JUNIPER,R600,R700,REDWOOD}_rlc.bin

# remove files provided in rt*-firmware packages
rm -f LICENSE.ralink-firmware.txt
rm -f rt2561{,s}.bin rt2661.bin rt28{6,7}0.bin rt3090.bin rt73.bin

# remove unwanted source files
rm -f dsp56k/bootstrap.asm keyspan_pda/*.S
# FIXME: usbdux*.bin firmware should be in kernel-firmware or another
# separate package (not in non-free), usbdux*.bin is GPL licensed
rm -rf usbdux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/LICENCE.*

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENCE.*
/lib/firmware/*


%changelog
* Sun Aug 15 2010 Thomas Backlund <tmb@mandriva.org> 20100807-1mnb2
+ Revision: 570141
- update to 2010-08-07

* Sun May 09 2010 Thomas Backlund <tmb@mandriva.org> 20100429-2mnb2
+ Revision: 544219
- remove rt3090 firmware as it's already shipped in a separate rt3090-firmware rpm

* Sat May 01 2010 Thomas Backlund <tmb@mandriva.org> 20100429-1mnb2
+ Revision: 541452
- update to 20100429
  - adds Amd Evergreen (HD5xxx) firmwares
  - adds Atheros ar9271 firmware
  - adds Ralink rt3070, rt3071, rt3090 firmwares
  - adds Sensoray s2250 firmware
  - adds Realtek 8192e firmware
  - adds Atheros Bluetooth ar3011 firmware

* Sun Feb 07 2010 Thomas Backlund <tmb@mandriva.org> 20100108-1mnb2
+ Revision: 501691
- remove iwlwifi firmwares provided by separate rpms
- update BR and Conflicts on kernel-firmware
- update to 2010-01-08

* Tue Nov 17 2009 Claudio Matsuoka <claudio@mandriva.com> 20091117-1mnb2
+ Revision: 467038
- Add firmware for p54 and kernel > 2.6.28

* Fri Jul 24 2009 Thomas Backlund <tmb@mandriva.org> 20090723-1mnb2
+ Revision: 399154
- update to 2009-07-23

* Fri May 29 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090514-2mnb2
+ Revision: 380763
- Prevent some more source files to ship with main package.

* Fri May 29 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090514-1mnb2
+ Revision: 380700
- Updated to 20090514
- Use lzma for source tarball.

* Mon Mar 30 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-2mnb2
+ Revision: 362324
- Firmwares not splitted anymore by license from kernel-firmware package
  (#49195):
  * removed previous conflicts not needed anymore, and now uneeded
    obsoletes.
  * rebuild against kernel-firmware >= 20090111-2mnb2

* Wed Mar 18 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-1mnb2
+ Revision: 357429
- Updated to 20090212

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090120-1mnb2
+ Revision: 341924
- Updated to 20090120

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-2mnb2
+ Revision: 310798
- Rebuild against kernel-firmware-20080922-2mnb2 (to provide all
  non-free firmware here).

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-1mnb2
+ Revision: 310727
- import kernel-firmware-extra


